import { EntityDamageCause } from '@minecraft/server';
export default class HollowedCactusComponent {
    onTick(e) {
        const location = {
            x: e.block.x - 0.1,
            y: e.block.y - 0.1,
            z: e.block.z - 0.1,
        };
        const volume = {
            x: 0.2,
            y: 0.2,
            z: 0.2,
        };
        e.dimension.getEntities({ location, volume }).forEach((entity) => {
            entity.addEffect('wither', 80);
            entity.applyDamage(1, { cause: EntityDamageCause.contact });
        });
    }
}
